Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040516
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-04-04 09:512019-05-21 15:16
ReportergorkaionView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision5abaf711e341
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040516: Cannot process a Landed Cost if the role does not have access to its Legal Entity

DescriptionCannot process a Landed Cost if the role does not have access to the Legal Entity.
Steps To ReproduceCreate a role that ONLY has access to F&B España - Región Norte organization.

With that role:
   Create a Goods Receipt for two days before today.
   Add a product and complete it

   Launch Costing Background Process and check its cost is calculated

   Create a Landed Cost Type
   Create a Landed Cost
   Set a Cost to it
   Select the previously created receipt
   Try to complete it and check the following error message is shown:

Organization <> of object (CostAdjustment(<>) (documentNo: <>, referenceData: <>)) is not present in OrganizationList [<>]
   
Proposed SolutionOn LandedCostProcess.java

Change the setAdminMode to setAdminMode(false) so no org access check is executed.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038867 closedAtulOpenbravo Cannot process a Landed Cost if the role does not have access to the organization of a transaction that needs to be adjusted 
related to defect 0040517 closednonofrancisco In Landed Cost it is possible to see receipts of parent org when role does not have access to it 

-  Notes
(0111005)
nonofrancisco (developer)
2019-04-05 14:46

Test Plan

Create a role that ONLY has access to F&B España - Región Norte organization.
  Grant access to windows
    Process Request
    Goods Receipt
    Product
    Landed Cost Type
    Landed Cost

With that role:
   Create a Goods Receipt for two days before today.
   Add a product and complete it

   Launch Costing Background Process and check its cost is calculated

   Create a Landed Cost Type
   Create a Landed Cost
   Set a Cost to it
   Select the previously created receipt
   Process the Landed Cost it and verify the process completes successfully
(0111028)
hgbot (developer)
2019-04-08 17:39

Repository: erp/devel/pi
Changeset: 5abaf711e34101202c529da677505505ec8c1c08
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon Apr 08 17:20:15 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5abaf711e34101202c529da677505505ec8c1c08 [^]

Fixes issue 40516: Disables organization check when processing landed cost

Disables organization access check to allow landed cost processing, when
it was created from a role not having access to then Legal Entity.

---
M src/org/openbravo/costing/CostAdjustmentProcess.java
M src/org/openbravo/costing/LandedCostProcess.java
---
(0111029)
Sandrahuguet (developer)
2019-04-08 17:40

Code review + testing OK
(0111963)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-04 09:51 gorkaion New Issue
2019-04-04 09:51 gorkaion Assigned To => AtulOpenbravo
2019-04-04 09:51 gorkaion Modules => Core
2019-04-04 09:51 gorkaion Triggers an Emergency Pack => No
2019-04-04 09:51 gorkaion Issue generated from 0038867
2019-04-04 09:51 gorkaion Relationship added related to 0038867
2019-04-04 10:11 gorkaion Issue cloned 0040517
2019-04-04 10:11 gorkaion Relationship added related to 0040517
2019-04-04 10:12 gorkaion Assigned To AtulOpenbravo => Triage Finance
2019-04-04 10:35 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-04-04 21:17 nonofrancisco Status new => scheduled
2019-04-05 14:46 nonofrancisco Note Added: 0111005
2019-04-08 17:39 hgbot Checkin
2019-04-08 17:39 hgbot Note Added: 0111028
2019-04-08 17:39 hgbot Status scheduled => resolved
2019-04-08 17:39 hgbot Resolution open => fixed
2019-04-08 17:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5abaf711e34101202c529da677505505ec8c1c08 [^]
2019-04-08 17:40 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-08 17:40 Sandrahuguet Note Added: 0111029
2019-04-08 17:40 Sandrahuguet Status resolved => closed
2019-04-08 17:40 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111963


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker